Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.driver
Interface DnaDnaAlignFeatureAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface DnaDnaAlignFeatureAdaptor
extends Adaptor

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch(java.lang.String species, Location location, java.lang.String hitSpecies)` Returns DnaDnaAlignFeature instances for input species, chromosome location and hit species for ALL method-link-types.
`java.util.List` | `fetch(java.lang.String species, Location location, java.lang.String hitSpecies, java.lang.String methodLinkType)` Returns DnaDnaAlignFeature instances for input species, chromosome location and hit species for the specified method-link-type.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch(java.lang.String species,
                                Location location,
                                java.lang.String hitSpecies)
                         throws AdaptorException

  Returns DnaDnaAlignFeature instances for input species, chromosome location and hit species for ALL method-link-types.

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String species,
                                Location location,
                                java.lang.String hitSpecies,
                                java.lang.String methodLinkType)
                         throws AdaptorException

  Returns DnaDnaAlignFeature instances for input species, chromosome location and hit species for the specified method-link-type.

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD